package space.kklochko.simple_jbdd.tests.factories.validators;

import java.lang.reflect.Method;
import java.util.ArrayList;
import java.util.Map;

public class EmptyValidator extends Validator {
    private boolean isInvalid;

    @Override
    public boolean validate(Map<String, ArrayList<Method>> methods) {
        isInvalid = (methods.size() == 0);
        return isInvalid;
    }

    @Override
    public String getErrorType() {
        if(!isInvalid)
            return "ok";

        return "Error";
    }

    @Override
    public String getMessage() {
        if(!isInvalid)
            return "ok";

        return "ERROR!!! No blocks!!!";
    }
}

