package space.kklochko.simple_jbdd.tests.factories.validators;

import java.lang.reflect.Method;

public class HasMethodsWithArgumentsValidator extends MethodValidator {
    @Override
    protected boolean isMethodInvalid(Method method) {
        return method.getParameterCount() != 0;
    }

    @Override
    public String getMessage() {
        if(!isInvalid)
            return "ok";

        return String.format("ERROR!!! Methods must have no arguments!!! Check methods: %s!!!", getMethodListAsString());
    }
}

